org.apache.olingo.commons.api.edm.provider

## Class CsdlEnumType

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlEnumType

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlEnumType
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl enum type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlEnumType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `CsdlEnumMember` | `getMember(Integer value)` Gets member.
    `CsdlEnumMember` | `getMember(String name)` Gets member.
    `List<CsdlEnumMember>` | `getMembers()` Gets members.
    `String` | `getName()` Gets name.
    `String` | `getUnderlyingType()` Gets underlying type.
    `boolean` | `isFlags()` Is flags.
    `CsdlEnumType` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlEnumType` | `setFlags(boolean isFlags)` Sets flags.
    `CsdlEnumType` | `setMembers(List<CsdlEnumMember> members)` Sets members.
    `CsdlEnumType` | `setName(String name)` Sets name.
    `CsdlEnumType` | `setUnderlyingType(FullQualifiedName underlyingType)` Sets underlying type.
    `CsdlEnumType` | `setUnderlyingType(String underlyingType)` Sets underlying type.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlEnumType

          public CsdlEnumType()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### setName

          public CsdlEnumType setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### isFlags

          public boolean isFlags()

      Is flags.
      Returns:
        the boolean

    - #### setFlags

          public CsdlEnumType setFlags(boolean isFlags)

      Sets flags.
      Parameters:
        `isFlags` - the is flags
      Returns:
        the flags

    - #### getUnderlyingType

          public String getUnderlyingType()

      Gets underlying type.
      Returns:
        the underlying type

    - #### setUnderlyingType

          public CsdlEnumType setUnderlyingType(String underlyingType)

      Sets underlying type.
      Parameters:
        `underlyingType` - the underlying type
      Returns:
        the underlying type

    - #### setUnderlyingType

          public CsdlEnumType setUnderlyingType(FullQualifiedName underlyingType)

      Sets underlying type.
      Parameters:
        `underlyingType` - the underlying type
      Returns:
        the underlying type

    - #### getMembers

          public List<CsdlEnumMember> getMembers()

      Gets members.
      Returns:
        the members

    - #### getMember

          public CsdlEnumMember getMember(String name)

      Gets member.
      Parameters:
        `name` - the name
      Returns:
        the member

    - #### getMember

          public CsdlEnumMember getMember(Integer value)

      Gets member.
      Parameters:
        `value` - the value
      Returns:
        the member

    - #### setMembers

          public CsdlEnumType setMembers(List<CsdlEnumMember> members)

      Sets members.
      Parameters:
        `members` - the members
      Returns:
        the members

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlEnumType setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.